package PureMessage::List::SpecialAddrs;

use strict;

use base 'PureMessage::List::Items';

# RFC 1918
my @private_addrs = ( qw(
    10.0.0.0/8
    172.16.0.0/12
    192.168.0.0/16
    ));

# http://www.iana.org/assignments/ipv4-address-space
my @iana_addrs = map { "$_.0.0.0/8" }
		   (0,1,2,5,7,23,27,31,36,37,39,41,42,58,59,60,69..79,
		    82..95,96..126,127,192,221..223,224..239,240..255 );

sub new {
    my $cls = shift;
    return $cls->SUPER::new(
	items => [@private_addrs, @iana_addrs],
	match_type => 'domain',
    );
}

1;
