package PureMessage::List::dbi;

use strict;
use base 'PureMessage::List';

use DBI ();
use Carp qw(croak);

sub new {
    my($class, $source, %conf) = @_;

    my $args = $conf{args} || croak("No args provided");
    my $match = $args->{match} || croak("No match statement provided");

    $conf{dbh} = DBI->connect("dbi:$source",
			      $args->{username},
			      $args->{password},
			      $args->{attr});

    $conf{sth} = $conf{dbh}->prepare($match);
    
    bless \%conf, $class;
}

sub match {
    my $self = shift;
    my $sth = $self->{sth};
    for (@_) {
	$sth->execute($_);
	my $row = $sth->fetch;
	#use Data::Dump; Data::Dump::dump($_, $row);
	$sth->finish;
	return 1 if $row && $row->[0];
    }
    return 0;
}

sub DESTROY {
    my $self = shift;
    $self->{dbh}->disconnect;
}

1;
