package PureMessage::Map::cdbfile;
use strict;
use base qw(PureMessage::List::Base::cdbfile PureMessage::Map::Items PureMessage::Map);
use PureMessage::Map::Wrap::CDB_File;
use Carp;

sub new {
    my $class = shift;
    my $self = $class->SUPER::new(@_);
    $self->refresh;
    $self;
}

sub _generate_matcher {
    my $self = shift;
    $self->{transformer} = $self->_generate_transformer(@_);
}

sub _new_cdb_handle {
    my($self, $file) = @_;
    my $cdbh = PureMessage::Map::Wrap::CDB_File->TIEHASH($file);
    croak("Can't open cdbfile '$file': $!")
        unless($cdbh && ref($cdbh));
    return $cdbh;
}

1;
