#!perl

package PureMessage::MapData::file;

use strict;
use warnings;
use Carp qw(croak);

use PureMessage::MapData::Entry;
use PureMessage::ListData::file;

use base qw(PureMessage::ListData::file);

return 1;

sub parse {
	my $self = shift;
	PureMessage::MapData::Entry->parse(@_);
}

sub _as_item {
    my $entry = $_[1];
    if(UNIVERSAL::isa($entry, "PureMessage::MapData::Entry")) {
        $entry;
    } elsif(ref($entry) && ref($entry) eq "ARRAY") {
        if(ref($entry->[0]) && ref($entry->[1])) {
            PureMessage::MapData::Entry->new($entry->[0], $entry->[1]);
        } elsif(ref($entry->[0]) || ref($entry->[1])) {
            croak 
                "No support mixing arrays and scalars in Entry initialization";
        } else {
            PureMessage::MapData::Entry->new(
                $entry->[0], [ @{$entry}[1 .. scalar(@$entry)] ]
            );
        }
    } else {
        PureMessage::MapData::Entry->parse($entry);
    }
}
