package PureMessage::NoAlarm;

sub alarm {
    require Carp;
    Carp::cluck("alarm called");
    die "alarm called";
}

*CORE::GLOBAL::alarm = \&alarm;

1;

=head1 NAME

PureMessage::NoAlarm - ensure alarm() is not used

=head1 SYNOPSIS

  perl -MPureMessage::NoAlarm ...

or in F<pmx.conf>

  perl_args = -MPureMessage::NoAlarm

=head1 DESCRIPTION

Using alarm in PureMessage milters is bad.  By loading this module you
ensure that this does not happen and it will also produce noise in the
logs (or stderr) that gives stack backtraces if it happens.

